Skip to main content

Share Collection

POST 

/v1/collections/:collection_id/share

Share a collection with specified users, groups, and/or entire organization.

Supports:

  • Grant access: Share with users, groups, or organizations by providing their IDs
  • Revoke access: Remove access for specific users, groups, or organizations
  • Role assignment: Assign roles (owner, editor, reader) when granting access

The response returns the updated list of all actors (users, groups, organizations) with access to the collection.

Request​

Responses​

Collection shared successfully